<template>
  <div v-if="loading">
    <div id="preloader">
        <div id="status"></div>
    </div> 
  </div>
</template>

<script>
export default {
  data: () => ({
    loading: false
  }),
  methods: {
    start () {
        this.loading = true
    },
    finish () {
        //$('#status').fadeOut(); // will first fade out the loading animation 
        //$('#preloader').delay(350).fadeOut('slow'); // will fade out the white DIV that covers the website. 
        this.loading = false
    }
  }
}
</script>
